﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 268xA (1 yr) CAL VER RS-232 /5520,DMM
DATE:                  2011-04-25 07:07:37
AUTHOR:                Fluke
REVISION:              $Revision: 8204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       336
CONFIGURATION:         Fluke 5520A
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        GMO, DFM, VY, DAC, ZY
#
#  Model(s) Covered:
#        2680A, 2686A
#
#  Source:
#        268XA Data Acquisition System/Data Logging System Service Manual
#        Document Number: PN 1883791, November 2002
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub UUT RS-232 Connection DTE DB9 (m) /5520
#        Sub Fluke 268xA Setup interface RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub Fluke 268xA Modules Identification Query RS-232
#        Sub Fluke 268xA Get Module Type & Serial Number RS-232
#        Sub Fluke 268xA Equipment Required
#        Sub Fluke 268xA Query Identification RS-232
#        Sub Select Verification Method
#        Sub Fluke 268xA Send Command RS-232
#        Sub Fluke 268xA Query Measurement RS-232
#        Sub Fluke 268xA Query Response RS-232
#        Sub Fluke 268xA Check Acknowledge Response
#        Sub Fluke 268xA Setup interface RS-232
#        Sub Fluke 268xA Self Test RS-232
#        Sub Fluke 268xA-PAI/FAI (1 yr) VER RS-232 /5520
#        Sub Fluke 268xA (1 yr) FAI VER RS-232 /5520
#        Sub Fluke 268xA (1 yr) PAI VER RS-232 /5520
#        Sub Fluke 2680A-PAI (1 yr) DCV VER RS-232 /5520
#        Sub Fluke 2680A-FAI (1 yr) DCV VER RS-232 /5520
#        Sub Fluke 2680A-PAI (1 yr) VAC VER RS-232 /5520
#        Sub Fluke 2680A-FAI (1 yr) VAC VER RS-232 /5520
#        Sub Fluke 2680A-PAI/FAI (1 yr) Freq VER RS-232 /5520
#        Sub Fluke 2680A-PAI (1 yr) 4W Res VER RS-232 /5520
#        Sub Fluke 2680A-FAI (1 yr) 4W Res VER RS-232 /5520
#        Sub Fluke 2680A-PAI (1 yr) Integ VER RS-232 /5520
#        Sub Fluke 2680A-FAI (1 yr) Integ VER RS-232 /5520
#        Sub Fluke 2680A-PAI/FAI (1 yr) TC Resp VER RS-232 /5520
#        Sub Fluke 268xA (1 yr) Master Alarm VER RS-232 /DMM
#        Sub Fluke 2680A-DIO (1 yr) Digital I/O VER RS-232 /DMM
#        Sub Fluke 2680A-DIO (1 yr) Relay Ver RS-232 /DMM
#        Sub Fluke 268xA (1 yr) Trigger Input Ver RS-232
#        Sub Fluke 268xA (1 yr) Trigger Output Ver RS-232
#        Sub Fluke 2680A-DIO (1 yr) Totalizer Ver RS-232 /5520
#        Sub Initialize /DMM
#        Sub Reset /DMM
#        Sub Measure /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#        Sub Get Accuracy /DMM
#        Sub Send Command /DMM
#
#  Required Files:
#        268x_UIM_5520_VER_V_2W.jpg :
#             5520A to 268xA Universal Input Module Voltage connection
#        268x_UIM_5520_VER_Z_4W.jpg :
#             5520A to 268xA Universal Input Module 4-Wire Ohm connection
#        268x_UIM_5520_VER_Z_4W_2W.jpg :
#             5520A to 268xA Universal Input Module "2-Wire to 4W" Ohm con
#        268x_UIM_VER_CON.jpg :
#             Specially Configured Universal Input Module for verification
#        268xA_REAR_PANEL_CON.jpg :
#             Specially Configured Rear Panel Connector
#        268xA_DMM_Master_Alarm_Test.jpg :
#             268xA rear panel Master Alarm and GNG to flexible DMM connection
#        268xA_DIO0_DMM.jpg :
#             DIO channel 0 to flexible DMM voltage connection
#        268xA_DIO1_DMM.jpg :
#             DIO channel 1 to flexible DMM voltage connection
#        268xA_DIO2_DMM.jpg :
#             DIO channel 2 to flexible DMM voltage connection
#        268xA_DIO3_DMM.jpg :
#             DIO channel 3 to flexible DMM voltage connection
#        268xA_DIO4_DMM.jpg :
#             DIO channel 4 to flexible DMM voltage connection
#        268xA_DIO5_DMM.jpg :
#             DIO channel 5 to flexible DMM voltage connection
#        268xA_DIO6_DMM.jpg :
#             DIO channel 6 to flexible DMM voltage connection
#        268xA_DIO7_DMM.jpg :
#             DIO channel 7 to flexible DMM voltage connection
#        268xA_DIO8_DMM.jpg :
#             DIO channel 8 to flexible DMM voltage connection
#        268xA_DIO9_DMM.jpg :
#             DIO channel 9 to flexible DMM voltage connection
#        268xA_DIO10_DMM.jpg :
#             DIO channel 10 to flexible DMM voltage connection
#        268xA_DIO11_DMM.jpg :
#             DIO channel 11 to flexible DMM voltage connection
#        268xA_DIO12_DMM.jpg :
#             DIO channel 12 to flexible DMM voltage connection
#        268xA_DIO13_DMM.jpg :
#             DIO channel 13 to flexible DMM voltage connection
#        268xA_DIO14_DMM.jpg :
#             DIO channel 14 to flexible DMM voltage connection
#        268xA_DI15_DMM.jpg :
#             DIO channel 15 to flexible DMM voltage connection
#        268xA_DIO16_DMM.jpg :
#             DIO channel 16 to flexible DMM voltage connection
#        268xA_DIO17_DMM.jpg :
#             DIO channel 17 to flexible DMM voltage connection
#        268xA_DIO18_DMM.jpg :
#             DIO channel 18 to flexible DMM voltage connection
#        268xA_DIO19_DMM.jpg :
#             DIO channel 19 to flexible DMM voltage connection
#        268xA_Trigger_Input_Test.jpg :
#             268xA rear panel trigger in and GND short connection
#        268xA_Trigger_Output_Test.jpg :
#             268xA rear panel trigger out and scope connection
#        268xA_Trigger_Output_Signal.jpg :
#             268xA rear panel trigger out signal on scope display
#        268xA_Relay1A_DMM.jpg :
#             DIO relay 1A to flexible DMM voltage connection
#        268xA_Relay2A_DMM.jpg :
#             DIO relay 2A to flexible DMM voltage connection
#        268xA_Relay3A_DMM.jpg :
#             DIO relay 3A to flexible DMM voltage connection
#        268xA_Relay4A_DMM.jpg :
#             DIO relay 4A to flexible DMM voltage connection
#        268xA_Relay5A_DMM.jpg :
#             DIO relay 5A to flexible DMM voltage connection
#        268xA_Relay6A_DMM.jpg :
#             DIO relay 6A to flexible DMM voltage connection
#        268xA_Relay7A_DMM.jpg :
#             DIO relay 7A to flexible DMM voltage connection
#        268xA_Relay8A_DMM.jpg :
#             DIO relay 8A to flexible DMM voltage connection
#        268xA_Relay1B_DMM.jpg :
#             DIO relay 1B to flexible DMM voltage connection
#        268xA_Relay2B_DMM.jpg :
#             DIO relay 2B to flexible DMM voltage connection
#        268xA_Relay3B_DMM.jpg :
#             DIO relay 3B to flexible DMM voltage connection
#        268xA_Relay4B_DMM.jpg :
#             DIO relay 4B to flexible DMM voltage connection
#        268xA_Relay5B_DMM.jpg :
#             DIO relay 5B to flexible DMM voltage connection
#        268xA_Relay6B_DMM.jpg :
#             DIO relay 6B to flexible DMM voltage connection
#        268xA_Relay7B_DMM.jpg :
#             DIO relay 7B to flexible DMM voltage connection
#        268xA_Relay8B_DMM.jpg :
#             DIO relay 8B to flexible DMM voltage connection
#        268xA_Totalizer_Test_5520.jpg :
#             DIO totalizer to 5520 voltage connection
#
#  Required Equipment:
#        Specially configured Universal Input Module
#        Oscilloscope and its probe
#
#  Flexible Standard(s) Required:
#        Digital Multimeter (DMM)
#          Voltage Range:  4V
#            Accuracy: ±0.1%
#
#          Example: Fluke 8845A or equivalent
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         1MH                          1Vpp           SI    S  2W
  1.003  IEEE         [@DMM]
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  CALL         Sub Display Copyright
  1.008  CALL         Sub High Voltage Safety Warning

  1.009  HEAD         PRELIMINARY INSTRUCTION
  1.010  CALL         Sub Select Failed Test Mode
  1.011  CALL         Sub Select Verification Method

  1.012  HEAD         TEST CONDITIONS
  1.013  DISP         Warm-up time requirement: 1 Hour.
  1.013  DISP         Ambient temperature: 18°C - 28°C.
  1.013  DISP         Relative humidity: less than 70%.

  1.014  HEAD         COMMUNICATION SETUP
  1.015  TARGET
  1.016  CALL         Sub UUT RS-232 Connection DTE DB9 (m) /5520
  1.017  CALL         Sub Fluke 268xA Setup interface RS-232
  1.018  CALL         Sub Fluke 268xA Query Identification RS-232
  1.019  JMPL         END                          @Abort

  1.020  MATH         L[1] = ZCMPI(@Manufacturer, "Fluke")
  1.021  MATH         L[2] = ZCMPI(@ModelNum, @UUT_Model)

  1.022  IF           NOT(L[1]) || NOT(L[2])
  1.023  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.023  DISP         not a Fluke [V @UUT_Model]!
  1.024  END
  1.025  ENDIF

  1.026  CALL         Sub Fluke 268xA Modules Identification Query RS-232
  1.027  JMPL         END                          @Abort

  1.028  CALL         Sub Fluke 268xA Equipment Required

  1.029  DISP         ***************************************************
  1.029  DISP         To reduce noise pickup by test leads, particularly
  1.029  DISP         during High Ohms verification, use shielded test
  1.029  DISP         cables between the Fluke 5520A and the universal
  1.029  DISP         input module.
  1.029  DISP         ***************************************************

  1.030  CALL         Sub Fluke 268xA Self Test RS-232
  1.031  JMPL         END                          @Abort

# Base Connector Test
  1.032  CALL         Sub Fluke 268xA (1 yr) Master Alarm VER RS-232 /DMM
  1.033  JMPL         END                          @Abort
  1.034  CALL         Sub Fluke 268xA (1 yr) Trigger Input Ver RS-232
  1.035  JMPL         END                          @Abort
  1.036  CALL         Sub Fluke 268xA (1 yr) Trigger Output Ver RS-232
  1.037  JMPL         END                          @Abort

# Slot 1

  1.038  IF           NOT(ZCMPI(@Slot1Type, "None"))
  1.039  MATH         @SlotTested = 1; @SlotType = @Slot1Type
  1.040  CALL         Sub Fluke 268xA-PAI/FAI (1 yr) VER RS-232 /5520
  1.041  ENDIF

  1.042  JMPL         END                          @Abort

# Slot 2

  1.043  IF           NOT(ZCMPI(@Slot2Type, "None"))
  1.044  MATH         @SlotTested = 2; @SlotType = @Slot2Type
  1.045  CALL         Sub Fluke 268xA-PAI/FAI (1 yr) VER RS-232 /5520
  1.046  ENDIF

  1.047  JMPL         END                          @Abort

# Slot 3

  1.048  IF           NOT(ZCMPI(@Slot3Type, "None"))
  1.049  MATH         @SlotTested = 3; @SlotType = @Slot3Type
  1.050  CALL         Sub Fluke 268xA-PAI/FAI (1 yr) VER RS-232 /5520
  1.051  ENDIF

  1.052  JMPL         END                          @Abort

# Slot 4

  1.053  IF           NOT(ZCMPI(@Slot4Type, "None"))
  1.054  MATH         @SlotTested = 4; @SlotType = @Slot4Type
  1.055  CALL         Sub Fluke 268xA-PAI/FAI (1 yr) VER RS-232 /5520
  1.056  ENDIF

  1.057  JMPL         END                          @Abort

# Slot 5

  1.058  IF           NOT(ZCMPI(@Slot5Type, "None"))
  1.059  MATH         @SlotTested = 5; @SlotType = @Slot5Type
  1.060  CALL         Sub Fluke 268xA-PAI/FAI (1 yr) VER RS-232 /5520
  1.061  ENDIF

  1.062  JMPL         END                          @Abort

# Slot 6

  1.063  IF           NOT(ZCMPI(@Slot6Type, "None"))
  1.064  MATH         @SlotTested = 6; @SlotType = @Slot6Type

  1.065  IF           ZCMPI(@SlotType, "DIO")
  1.066  RSLT         =
  1.067  HEAD         {SLOT 6 TEST}
  1.068  CALL         Sub Fluke 2680A-DIO (1 yr) Digital I/O VER RS-232 /DMM

  1.069  IF           NOT(@Abort)
  1.070  CALL         Sub Fluke 2680A-DIO (1 yr) Relay Ver RS-232 /DMM
  1.071  ENDIF

  1.072  IF           NOT(@Abort)
  1.073  CALL         Sub Fluke 2680A-DIO (1 yr) Totalizer Ver RS-232 /5520
  1.074  ENDIF

  1.075  ELSE         ; FAI or PAI
  1.076  CALL         Sub Fluke 268xA-PAI/FAI (1 yr) VER RS-232 /5520
  1.077  ENDIF

  1.078  ENDIF        ; NOT(ZCMPI(@Slot6Type, "None"))

  1.079  LABEL        END
  1.080  HEAD         -2

  1.081  IF           @Abort
  1.082  HEAD         V E R I F I C A T I O N  A B O R T E D !
  1.083  ELSE
  1.084  HEAD         V E R I F I C A T I O N  C O M P L E T E !
  1.085  ENDIF

  1.086  END
